View Issue Details

IDProjectCategoryView StatusLast Update
12210Feature requests[All Projects] Theme editorpublic2019-11-07 18:09
Reporterjelo Assigned Tocdorin  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary12210: cache / asset manager control
Description

I miss a option to clear cache/rebuild via GUI. If you think about CMS, they often have some cache mechanisms too, but they all offer a button to clear cache (sometimes with and without rebuilding cache) and even a way to deactivate/activate the cache layer via GUI. Some CMS deactivate cache for editors of articles to ease preview all the time.

Currently all options seem to be linked to the debugmode. I don't see clearing, rebuilding or deactivating cache in a debug context alone.

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2017-03-20 18:22

developer   ~43296

Currenly : asset manager use Yii asset system , then the update time of the directory.

For template : the date is updated each time user click on save on template editor.

jelo

jelo

2018-02-22 17:32

partner   ~46723

Featurerequest can be closed.
"Global Settings -> General -> Clear asset cache"
Thanks.

jelo

jelo

2018-02-22 17:33

partner   ~46724

Or someone wants to add a button to deactivate the assetmanager ;-)

DenisChenu

DenisChenu

2018-02-22 17:53

developer   ~46725

Last edited: 2018-02-22 17:55

View 2 revisions

Without assetmanager:

  1. Your client test today with the ugly template
  2. You work on css/js file and make good template (you use F5 a lot)
    3: you send at your client : Hey , test it's good !
    4: your client don't use F5 and say : it's still ugly

With assetmanager:

  1. Your client test today with the ugly template
  2. You work on css/js file and add a file, remove same file at each change (it update the directory time)
    3: you send at your client : Hey , test it's good !
    4: your client say : right it's good

PS : there are already a config.php settings if i don't make error then :

  1. Your client test today with the ugly template
    1 bis : you update config.php
  2. You work on css/js file and make good template (you use F5 a lot)
    2 bis: you add /remove a file on directory
    3 ter : you update config.php
    3: you send at your client : Hey , test it's good !
    4: your client say : right it's good

Surely best solution :)

jelo

jelo

2018-02-22 18:14

partner   ~46726

Yeah, I cannot remember the config setting for deactivating assetmanager too.
But clear cache is fine for me. Let's convince the user in the forum ;-) They are asking for a way to deactivate it.

Mazi

Mazi

2019-11-07 18:07

partner   ~54473

@cdorin, you can close this one.

If anyone still remembers the setting for config.php to turn off asset manager usage please let me know.

Issue History

Date Modified Username Field Change
2017-03-20 13:42 jelo New Issue
2017-03-20 18:22 DenisChenu Note Added: 43296
2018-02-22 17:32 jelo Note Added: 46723
2018-02-22 17:33 jelo Note Added: 46724
2018-02-22 17:53 DenisChenu Note Added: 46725
2018-02-22 17:55 DenisChenu Note Edited: 46725 View Revisions
2018-02-22 18:14 jelo Note Added: 46726
2019-11-07 18:07 Mazi Note Added: 54473
2019-11-07 18:09 cdorin Assigned To => cdorin
2019-11-07 18:09 cdorin Status new => closed
2019-11-07 18:09 cdorin Resolution open => fixed